%define upstream_name    Config-Model-Itself
%define upstream_version 1.228

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Edit and validate configuration models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 1.263.0
BuildRequires: perl(Config::Model::TkUI) >= 1.210.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(YAML::Any)
BuildArch:  noarch

%description
The Config::Itself and its model files provide a model of Config:Model
(hence the Itself name).

Let's step back a little to explain. Any configuration data is, in essence,
structured data. This data could be stored in an XML file. A configuration
model is a way to describe the structure and relation of all items of a
configuration data set.

This configuration model is also expressed as structured data. This
structure data is structured and follow a set of rules which are described
for humans in the Config::Model manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
# skip tests, require a virtual frame buffer
#xvfb-run -n 14 ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/config-model-edit
%{perl_vendorlib}/Config

%changelog

* Thu Dec 08 2011 kharec <kharec> 1.228.0-1.mga2
+ Revision: 179116
- update to 1.228

* Sat Nov 05 2011 kharec <kharec> 1.227.0-1.mga2
+ Revision: 163725
- update to 1.227

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-3.mga2
+ Revision: 155130
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-2.mga2
+ Revision: 155127
- perl 5.14.2 rebuild

* Sun Sep 18 2011 jquelin <jquelin> 1.226.0-1.mga2
+ Revision: 144899
- remove old tarball reference

  + takashi <takashi>
    - update to 1.226

* Tue Jun 21 2011 jquelin <jquelin> 1.225.0-1.mga2
+ Revision: 111413
- update to 1.225

* Sun Jun 19 2011 jquelin <jquelin> 1.224.0-2.mga2
+ Revision: 109884
- rebuild script for perl 5.14.1

* Fri Apr 08 2011 jquelin <jquelin> 1.224.0-1.mga1
+ Revision: 82227
- update to 1.224

* Thu Jan 27 2011 jquelin <jquelin> 1.222.0-1.mga1
+ Revision: 42027
- update to 1.222
- mageia rebuild
- imported package perl-Config-Model-Itself

